function nastaveni
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%Nastaveni parametru pro analyzu. Hodnoty jsou ukladany do souboru ini.mat
%Soubor ini.mat obsahuje vstupni hodnoty pro analyzu a nacita se na zacatku 
%skriptu analyza.m
% 
% Do matice ini.mat se ulozi:
% 
% nazev         ...nazvy emocnich stavu analyzy 
% pocet_sta     ...pocet emocnich stavu, viz "nazev"
% pomer_fO      ...pomer dulezitosti pri analize em.stavu v procentech - F0
% pomer_ZRO     ...pomer dulezitosti pri analize em.stavu vyjádrený
%                  v procentech - pocet pruchodu nulou               
% pomer_en      ...pomer dulezitosti pri analize em.stavu vyjádrený v
%                  procentech - Energie
% pomer_mcc     ...pomer dulezitosti pri analize em.stavu vyjádrený
%                  v procentech - Mel-cepstral coeficients
% zobraz        ...zobrazeni grafu ano==1 ne==0
% zc_koef       ...Jedná se o max hodnotu pruchodu nulou,kdy je vzorek 
%                  brán v potaz pri analíze em.stavu
% pomer         ...koeficienty pro analyzu em.stavu, "pomer" obsahuje 39
%                  hodnot stejne jako je porovnavanych parametru zvukovych
%                  signalu 
%--------------------------------------------------------------------------
%Bc.árka Sobotková                                                    2013
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
nazev={   
   'Hlad' 
   'Nervozita'   
   'Nespokojenost'  
   'Nuda'
   'Ospalost'
};

pocet_sta=length(nazev); % pocet emocnich stavu, viz "nazev"

pomer_fO=10;
pomer_ZRO=10;
pomer_en=30; 
pomer_mcc=50;

pomer(1)=178;
pomer(2)=1;
pomer(3)=5;
pomer(4)=2;
pomer(5)=7;
pomer(6)=15;
pomer(7)=1;
pomer(8)=1;
pomer(9)=85;
pomer(10)=2;
pomer(11)=50;
pomer(12)=5;
pomer(13)=2;
pomer(14)=68;
pomer(15)=1;
pomer(16)=1;
pomer(17)=24;
pomer(18)=2;
pomer(19)=19;
for i=1:20;
    pomer(19+i)=1045;
end

zobraz=1; 

zc_koef=30; 

% save ini pocet_nah pocet_sta pomer_fO pomer_ZRO pomer_en pomer_mcc zobraz zc_koef pomer
save ('ini', 'nazev', 'pocet_sta', 'pomer_fO', 'pomer_ZRO', 'pomer_en', 'pomer_mcc', 'zobraz', 'zc_koef', 'pomer')
end